Skip to main content
DELETE
/
products
/
{productId}
Delete Product by ID
curl --request DELETE \
  --url https://services.leadconnectorhq.com/products/{productId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "status": true
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

productId
string
required

ID or the slug of the product that needs to be returned

Example:

"6578278e879ad2646715ba9c"

Query Parameters

locationId
string
required

location Id

Example:

"6578278e879ad2646715ba9c"

sendWishlistStatus
boolean

Parameter which will decide whether to show the wishlisting status of products

Example:

true

Response

Successful response

status
boolean
required

returns true if the product is successfully deleted

Example:

true

Last modified on March 4, 2026